function chi_c = followStraightLine(r, q, p, chi)


    k_path = 0.1;
    chi_inf = pi/2;

    chi_q = atan2(q(2), q(1));
    
    while chi_q - chi < -pi
        chi_q = chi_q + 2*pi;
    end

    
    while chi_q - chi > pi
        chi_q = chi_q - 2*pi;
    end
    
    e_py = -sin(chi_q*(p(2) - r(2))) + cos(chi_q*(p(1) - r(1)));
    
    chi_c = chi_q - chi_inf*(2/pi)*atan(k_path*e_py);
    
end