function data = extractGeoPosition( filename )
    
%filename = 'Log/WindTest/Dubins5MPSWindSouth12014-05-20.08_49_32_latlon_.txt';


    fileID = fopen(filename);

    % Read data from file
    % distX distY distZ distTot velX velY velZ idealVelX idealVelY idealVelZ
    %data = textscan(fileID, '%f', ...
    %    'Delimiter', '\t');%, 'CollectOutput', 1);

    T = readtable(filename, 'HeaderLines', 1, 'Delimiter', '\t');
    
    T([1:7],:) = [];

    tab_len = length(T.method(:));
    samples = (tab_len)/4;
    
    data = zeros(samples,3);
    
    counter = 1;
    
    for i=1:4:tab_len-1
        for j=1:3
            data(counter,j) = str2double(T.method(i+j));
        end
        counter = counter + 1;
    end

    % Close file
    fclose(fileID);
    
end
