clear all;
close all;
clc;

% Create a file ID for the text file

filename = 'testResults.txt';

fileID = fopen(filename);


% Read data from file
data = textscan(fileID, '%f %f %f %f', 'CollectOutput', 1);

% Close file
fclose(fileID);

n = 1:length(data{1}(:,1));

figure
    plot(n, data{1}(:,1), 'Linewidth', 2);
    title('Radius = 30 m, IAS = 25 m/s');
    xlabel('Number of samples');
    ylabel('Distance from target [m]');
    

figure
    minData = [];
    for i = n
        if( i == 1 || i == length(n)+1 )
            
        else
            if( data{1}(i,1) < data{1}(i-1,1) && data{1}(i,1) < data{1}(i+1,1) )
            minData = [minData data{1}(i,1)];
            end
        end
        
    end
    n_min = 1:length(minData);
    plot(n_min, minData(:), 'Linewidth', 2);
    title('Radius = 30 m, IAS = 25 m/s');
    xlabel('Number of samples');
    ylabel('Smallest distance from target [m]');

figure
    plot(n, data{1}(:,2), 'Linewidth', 2)
    
figure
    plot(n, data{1}(:,3), 'Linewidth', 2)
    
figure
    plot(n, data{1}(:,4), 'Linewidth', 2)