function dv = freeFallFunc(t,v,v_w,b,m,g)
% Define the function used to model the free fall of the object

    dv = [-(b/m)*(v(1)-v_w(1))*norm(v-v_w);
        -(b/m)*(v(2)-v_w(2))*norm(v-v_w);
        -(b/m)*(v(3)-v_w(3))*norm(v-v_w)-g;];


end

