function wp = generateWPList(dest, desHeading, max_turn_radius, p)

    
    dist_from_goal = 4*max_turn_radius;

    wp1 = dest+desHeading*dist_from_goal;
    wp2 = dest;
    wp3 = dest-desHeading*max_turn_radius;
    
    wp = [wp1 wp2 wp3]';
    
    % Create "previous" WP
    init_wp_dir = p' - wp(1,:);
    init_wp = init_wp_dir + p';
    wp = [init_wp; wp];

end

