function [new_wp_path, r, q_prev, i] = simpleFollowWP(new_wp_path, wp, p, i)

    % Check if a new WP path is received
    if new_wp_path
        new_wp_path = false;
        i = 2;
    end

    r = wp(i-1,:);
    
    q_prev = (wp(i,:)-wp(i-1,:))/norm(wp(i,:)-wp(i-1,:));
    
    q_next = (wp(i+1,:)-wp(i,:))/norm(wp(i+1,:)-wp(i,:));
    
    n = (q_prev + q_next)/norm(q_prev + q_next);
    
%     if (p' - r)*n' <= 0
%         i = i + 1;
%         if i > length(wp)-1
%             new_wp_path = true;
%         end
%     end

    if norm(p' - wp(i,:)) <= 20
        i = i + 1;
        if i > length(wp)-1
            new_wp_path = true;
        end
    end
        
end

